import java.util.Map;

public class Class389 {

   Class253 aClass253_4845;
   Class564 aClass564_4846 = new Class564(64);
   public static Map aMap4847;
   public static Class253 aClass253_4848;
   static int anInt4849;


   public void method6673(int var1, int var2) {
      Class564 var3 = this.aClass564_4846;
      synchronized(var3) {
         this.aClass564_4846.method11963(var1, (byte)-118);
      }
   }

   public Class401 method6674(int var1, int var2) {
      Class564 var3 = this.aClass564_4846;
      Class401 var4;
      synchronized(var3) {
         var4 = (Class401)this.aClass564_4846.method11959((long)var1);
      }

      if(null != var4) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_4845;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_4845.method4547(2022937823 * Class115.aClass115_1120.anInt1177, var1, (byte)87);
         }

         var4 = new Class401();
         if(var12 != null) {
            var4.method6813(new RS2Buffer(var12), -1707827834);
         }

         Class564 var11 = this.aClass564_4846;
         synchronized(var11) {
            this.aClass564_4846.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method6675(int var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11963(var1, (byte)-124);
      }
   }

   public void method6676(int var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11963(var1, (byte)-113);
      }
   }

   public void method6677(byte var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11976((byte)77);
      }
   }

   public Class401 method6678(int var1) {
      Class564 var2 = this.aClass564_4846;
      Class401 var3;
      synchronized(var2) {
         var3 = (Class401)this.aClass564_4846.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_4845;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_4845.method4547(2022937823 * Class115.aClass115_1120.anInt1177, var1, (byte)-44);
         }

         var3 = new Class401();
         if(var10 != null) {
            var3.method6813(new RS2Buffer(var10), 483002921);
         }

         Class564 var11 = this.aClass564_4846;
         synchronized(var11) {
            this.aClass564_4846.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class401 method6679(int var1) {
      Class564 var2 = this.aClass564_4846;
      Class401 var3;
      synchronized(var2) {
         var3 = (Class401)this.aClass564_4846.method11959((long)var1);
      }

      if(null != var3) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_4845;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_4845.method4547(2022937823 * Class115.aClass115_1120.anInt1177, var1, (byte)-42);
         }

         var3 = new Class401();
         if(var10 != null) {
            var3.method6813(new RS2Buffer(var10), -1850017965);
         }

         Class564 var11 = this.aClass564_4846;
         synchronized(var11) {
            this.aClass564_4846.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method6680() {
      Class564 var1 = this.aClass564_4846;
      synchronized(var1) {
         this.aClass564_4846.method11976((byte)2);
      }
   }

   public void method6681() {
      Class564 var1 = this.aClass564_4846;
      synchronized(var1) {
         this.aClass564_4846.method11976((byte)50);
      }
   }

   public void method6682(int var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11963(var1, (byte)-125);
      }
   }

   public void method6683(int var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11963(var1, (byte)-21);
      }
   }

   public Class389(Class481 var1, Class470 var2, Class253 var3) {
      this.aClass253_4845 = var3;
      if(null != this.aClass253_4845) {
         this.aClass253_4845.method4514(Class115.aClass115_1120.anInt1177 * 2022937823, -67708746);
      }

   }

   public void method6684(byte var1) {
      Class564 var2 = this.aClass564_4846;
      synchronized(var2) {
         this.aClass564_4846.method11968((short)-14827);
      }
   }

   public void method6685() {
      Class564 var1 = this.aClass564_4846;
      synchronized(var1) {
         this.aClass564_4846.method11968((short)-1166);
      }
   }

   static final void method6686(Class508 var0, int var1) {
      if(Class225_Sub21_Sub2.aClass225_Sub19_10073 != null) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1;
         var0.aClass225_Sub19_6020 = Class225_Sub21_Sub2.aClass225_Sub19_10073;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static void method6687(int var0, int var1) {
      Class564 var2 = Class14.aClass564_175;
      synchronized(var2) {
         Class14.aClass564_175.method11963(var0, (byte)-127);
      }
   }

   static Class222_Sub5 method6688(int var0) {
      Class222_Sub5 var1 = (Class222_Sub5)Class222_Sub5.aClass462_8839.method7790(-777661322);
      if(null != var1) {
         Class222_Sub5.anInt8842 -= 274360233;
         return var1;
      } else {
         return new Class222_Sub5();
      }
   }

   public static String method6689(Class225_Sub14_Sub3 var0, byte var1) {
      if(!Class2.aBool20 && var0 != null) {
         int[] var2 = Class97.method1898(var0, -1505444015);
         return var2 == null?"":Class185.method3252(var2, (byte)14);
      } else {
         return "";
      }
   }

   static final void method6690(Class508 var0, byte var1) {
      Class396.method6756(Class529.method11172(-294349519), var0, -2135896426);
   }

   static final void method6691(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[-937710807 * var0.anInt6003 + 1];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class506.method10785(var2, var3, false, 744496686);
   }
}
